\section{Notes from Chapter 2: Overview}
	\paragraph{AVX-512} Knights Landing introduces Intel AVX-512 instructions, 512-bit SIMD Support. Each AVX-512 instruction can perform eight double-precision multiply-add operations (16 FLOPs) or sixteen single-precision multiply-add operations. (p. 17)
	
	\paragraph{Architecture} The Knights Landing design (Figure \ref{fig:phi-processor}) as a concept of a tile, which is the basic unit for replication. Each tile, as shown in Figure \ref{fig:tile}, consists of two cores, two vector-processing units (VPUs) per core, and a 1 M L2 cache shared between the two cores. These tiles are phisically replicated 38 times, however at most 36 of them are active. In total, with 36 tiles, Knights Landing has 72 cores and 144 VPUs on the chip. (p. 17)
	
	\begin{figure}[htbp]
		\centering
		\includegraphics[width=0.7\linewidth]{figuras/phi-processor}
		\caption{Block diagram showing overview of the Knights Landing Architecture.}
		\label{fig:phi-processor}
	\end{figure}

	
	\begin{figure}[htbp]
		\centering
		\includegraphics[width=0.3\linewidth]{figuras/tile}
		\caption{Block diagram of a tile.}
		\label{fig:tile}
	\end{figure}

	\paragraph{Tiles} Supports for four hyperthreads per core, deeper out-of-order buffers, higher L1 and L2 cache bandwidths, adding AVX-512 vector instructions, improved reliability features, larger TLBs, and a larger L1 cache. (p. 17-18)
	
	\paragraph{Interconnection} The tiles are interconnected by a cache-coherent, two-dimensional (2D) \emph{mesh} interconnect. Given its 2D nature, the mesh interconnect provides a more scalable way to interconnect the tiles by providing a higher bandwidth and lower latency compared to the 1D interconnect on Knights Corner. The mesh interconnect employs a MESIF cache-coherent protocol - where a cache line can be in (M)odified, (E)xclusive, (S)hared, (I)nvalid or (F)orward state - to keep the L2 caches in all tiles coherent with each other. (p. 18)
	
	The mesh enforces the ``$YX$routing'' rule. This means that a transaction always travels vertically first until it hits the target row, makes a turn, and then travel horizontally until it reaches its destination. The static $YX$routing simplifies the protocol by helping reduce deadlock cases. A single hop on the mesh takes two clocks in the $X$-direction and only one in the $Y$-direction. (p. 19)
	
	\paragraph{MCDRAM} MCDRAM is the high-bandwidth memory integrated on-package. There are eight MCDRAM devices integrated, each of it is 2GB capacity. These devices are connected to their own memory controller (EDC), and has a separate read and write bus connecting it to its EDC. (p. 20)
	
	The memory can be configured at boot time in one of the three modes: (p. 20)
	\begin{enumerate}
		\item Cache mode: where MCDRAM is a cache for DDR.
		\item Flat mode: where MCDRAM is treated like standard memory in the same address space as DDR.
		\item Hybrid mode: where a portion of the MCDRAM is cache and the remaining is flat.
	\end{enumerate}

